package {
	import net.flashpunk.*;
	import flash.events.*;
	import flash.text.*;
	
	[SWF(width = "600", height = "480", backgroundColor="#000000")]
	public class Main extends Engine {
		public static var locked:Boolean = false;
		public function Main() {
			super(600, 480, 60, true);

			CONFIG::DEBUG { FP.console.enable(); }

			FP.world = new Game();
		}
		
		public override function init(): void {
			sitelock(["draknek.org"]);
//			Audio.initialise(this);
			super.init();
//			Audio.playMusic();
		}

		public override function focusGained(): void { }
		public override function focusLost(): void { }

		public function sitelock (allowed:*):Boolean {
			var url:String = FP.stage.loaderInfo.url;
			var startCheck:int = url.indexOf(':/' ) + 3;
			if (url.substr(0, startCheck) == 'file://') return true; //Local swf
			if (url.substr(0, startCheck-1) == 'app:/') return true; //Air app
			var domainLen:int = url.indexOf('/', startCheck) - startCheck;
			var host:String = url.substr(startCheck, domainLen);
			
			if (allowed is String) allowed = [allowed];
			for each (var d:String in allowed) {
				if (host.substr(-d.length, d.length) == d) return true;
			}

			var text:TextField = new TextField;
			text.autoSize = "left";
			text.text = "Sitelock error: this is on " + host + "\n" + url + "\nBut it is only allowed on:";
			for each (d in allowed) {
				text.appendText("\n" + d);
			}
			
			parent.addChild(text);
			parent.removeChild(this);
			locked = true;
			throw new Error("Error: this game is sitelocked");
			return false;
		}
	}
}

