package {
	
	import net.flashpunk.*
	import net.flashpunk.utils.*
	import net.flashpunk.graphics.*
	import net.flashpunk.masks.*

	public class SelOrb extends Entity {
		
		public var dimension:Dimension;
		public var orb:Orb;

		public function SelOrb(orb:Orb) {
			dimension = orb.target;
			this.orb = orb;

			graphic = Image.createCircle(30, dimension.colour, 0.8);
			mask = new Pixelmask((graphic as Image).source);
			graphic.scrollX = graphic.scrollY = 0;

		}

		public override function added(): void {
			var a:Array = [];
			world.getClass(SelOrb, a);
			for(var i:int=0; i<a.length; ++i) {
				a[i].x = i * 70;
				a[i].y = 10;
			}
		}

		public override function update(): void {
			if(Input.mousePressed && collidePoint(x,y, Input.mouseX, Input.mouseY)) {
				trace("Clicked on selorb");
				var game:Game = world as Game;
				game.remove(this);
				game.removeDimension(dimension);
				game.add(orb);
				orb.x = game.player.centerX - 10;
				orb.y = game.player.centerY - 10;
				game.player.dropped.push(orb);
			}
		}

		
	}
}
