
package {

	import net.flashpunk.*
	import net.flashpunk.utils.*
	import net.flashpunk.graphics.*


	public class EndPoint extends GameObject {
		
		public function EndPoint(x:Number, y:Number) {
			super(x,y);
			graphic = new Text("Goal - Find\nyour way here\nto be awesome");
			setHitboxTo(graphic);
		}

		public override function update(): void {
			if(FP.world != world) return;
			var player:Player = (world as Game).player;

			if(collideWith(player, x, y)) {
				Transition.fadeOut(new Game(), 0, 2.0, null, true, true);
			}
		}

	}

}
